import mdp

def afficher_menu():
    print("================================================")
    print("CIEL - Générateur de mots de passe")
    print("================================================")
    print("Quel type de mot de passe souhaitez-vous créer ?")
    print("1 - Mot de passe avec configuration par défaut")
    print("2 - Mot de passe avec configuration personnalisée")
    print("3 - Phrase de passe avec configuration par défaut")
    print("4 - Phrase de passe avec configuration personnalisée")
    print("0 - Quitter")

def choix_generateur(choix):
    match choix:
        case 1:
            print(mdp.generer_mdp_with_constraints())
        case 2:
            print(mdp.generer_mdp_personnalise())
        case 3:
            print(mdp.generer_passphrase_v1())
        case 4:
            print(mdp.generer_passphrase_personnalise())
        case 0:
            print("Vous quittez le programme")
        case _ as action:
            print(f"Erreur : l'option {action} n'existe pas")


if __name__ == "__main__":
    choix = -1
    while choix != 0:
        afficher_menu()
        choix = int(input("Saisissez votre choix : "))
        choix_generateur(choix)
        if choix != 0 :
            input("Appuyez sur Entrée")




